Merge "Adds overcloud ssh support and other fixes"
authorDan Radez <dradez@redhat.com>
Tue, 5 Jul 2016 17:25:17 +0000 (17:25 +0000)
committerGerrit Code Review <gerrit@172.30.200.206>
Tue, 5 Jul 2016 17:25:17 +0000 (17:25 +0000)
1  2 
ci/deploy.sh

diff --combined ci/deploy.sh
@@@ -124,7 -124,7 +124,7 @@@ parse_setting_value() 
  ##parses network settings yaml into globals
  parse_network_settings() {
    local output
 -  if output=$(python3.4 -B $LIB/python/apex-python-utils.py parse-net-settings -s $NETSETS -i $net_isolation_enabled -e $CONFIG/network-environment.yaml); then
 +  if output=$(python3.4 -B $LIB/python/apex_python_utils.py parse-net-settings -s $NETSETS -i $net_isolation_enabled -e $CONFIG/network-environment.yaml); then
        echo -e "${blue}${output}${reset}"
        eval "$output"
    else
  ##parses deploy settings yaml into globals
  parse_deploy_settings() {
    local output
 -  if output=$(python3.4 -B $LIB/python/apex-python-utils.py parse-deploy-settings -f $DEPLOY_SETTINGS_FILE); then
 +  if output=$(python3.4 -B $LIB/python/apex_python_utils.py parse-deploy-settings -f $DEPLOY_SETTINGS_FILE); then
        echo -e "${blue}${output}${reset}"
        eval "$output"
    else
@@@ -664,12 -664,12 +664,12 @@@ function configure_undercloud 
        ovs_dpdk_bridge=''
      fi
  
 -    if ! controller_nic_template=$(python3.4 -B $LIB/python/apex-python-utils.py nic-template -r controller -s $NETSETS -i $net_isolation_enabled -t $CONFIG/nics-template.yaml.jinja2 -n "$enabled_network_list" -e $ext_net_type -af $ip_addr_family); then
 +    if ! controller_nic_template=$(python3.4 -B $LIB/python/apex_python_utils.py nic-template -r controller -s $NETSETS -i $net_isolation_enabled -t $CONFIG/nics-template.yaml.jinja2 -n "$enabled_network_list" -e "br-ex" -af $ip_addr_family); then
        echo -e "${red}ERROR: Failed to generate controller NIC heat template ${reset}"
        exit 1
      fi
  
 -    if ! compute_nic_template=$(python3.4 -B $LIB/python/apex-python-utils.py nic-template -r compute -s $NETSETS -i $net_isolation_enabled -t $CONFIG/nics-template.yaml.jinja2 -n "$enabled_network_list" -e $ext_net_type -af $ip_addr_family -d "$ovs_dpdk_bridge"); then
 +    if ! compute_nic_template=$(python3.4 -B $LIB/python/apex_python_utils.py nic-template -r compute -s $NETSETS -i $net_isolation_enabled -t $CONFIG/nics-template.yaml.jinja2 -n "$enabled_network_list" -e $ext_net_type -af $ip_addr_family -d "$ovs_dpdk_bridge"); then
        echo -e "${red}ERROR: Failed to generate compute NIC heat template ${reset}"
        exit 1
      fi
@@@ -1083,6 -1083,19 +1083,19 @@@ function configure_post_install 
  
    echo -e "${blue}INFO: Post Install Configuration Running...${reset}"
  
+   echo -e "${blue}INFO: Configuring ssh for root to overcloud nodes...${reset}"
+   # copy host key to instack
+   scp ${SSH_OPTIONS[@]} /root/.ssh/id_rsa.pub "stack@$UNDERCLOUD":jumphost_id_rsa.pub
+   # add host key to overcloud nodes authorized keys
+   ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" << EOI
+ source stackrc
+ nodes=\$(nova list | grep -Eo "[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+")
+ for node in \$nodes; do
+ cat ~/jumphost_id_rsa.pub | ssh -T ${SSH_OPTIONS[@]} "heat-admin@\$node" 'cat >> ~/.ssh/authorized_keys'
+ done
+ EOI
    ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
  source overcloudrc
  set -o errexit
@@@ -1102,15 -1115,6 +1115,15 @@@ swift_endpoint_id=\$(openstack endpoin
  openstack endpoint delete \$swift_endpoint_id
  openstack service delete \$swift_service_id
  
 +if [ "${deploy_options_array['congress']}" == 'True' ]; then
 +    for s in nova neutronv2 ceilometer cinder glancev2 keystone; do
 +        openstack congress datasource create \$s "\$s" \\
 +            --config username=\$OS_USERNAME \\
 +            --config tenant_name=\$OS_TENANT_NAME \\
 +            --config password=\$OS_PASSWORD \\
 +            --config auth_url=\$OS_AUTH_URL
 +    done
 +fi
  EOI
  
    echo -e "${blue}INFO: Checking if OVS bridges have IP addresses...${reset}"